Bug 1134109 - Satellite 6 Diagnostics Tooling: need foreman-debug or equivalent for Capsule
Summary: Satellite 6 Diagnostics Tooling: need foreman-debug or equivalent for Capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Corey Welton
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1181452 (view as bug list)
Depends On: 1226014
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker 1135290 1135317
TreeView+ depends on / blocked
 
Reported: 2014-08-26 21:04 UTC by Xixi
Modified: 2019-08-15 03:57 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The foreman plug-in has been extended. It newly generates foreman-debug for Satellite 6, thus allowing users to gather details about Satellite 6 system environment.
Clone Of:
: 1135290 1135317 (view as bug list)
Environment:
Last Closed: 2015-08-12 05:13:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Red Hat Bugzilla 1135290 None CLOSED RHEL 6 sosreport integration for Satellite 6 Capsule server debugging 2019-08-12 23:34:40 UTC
Red Hat Bugzilla 1135317 None CLOSED RHEL 7 sosreport integration for Satellite 6 Capsule server debugging 2019-08-12 23:34:40 UTC
Red Hat Knowledge Base (Solution) 1177833 None None None Never
Red Hat Bugzilla 1181452 None CLOSED [RFE] Break out foreman-debug into separate package 2019-08-12 23:34:40 UTC

Internal Links: 1135290 1135317 1181452

Description Xixi 2014-08-26 21:04:22 UTC
Description of problem:
Need a tool stand-alone debug diagnostics tool similar to foreman-debug for Satellite 6 and SAM, to gather config / log files and other information that includes everything needed for Capsule debugging in majority of cases.  This can then either be used by itself or called by sosreport in a plug-in.

Version-Release number of selected component (if applicable):
Satellite 6.0.3

How reproducible:
Always

Steps to Reproduce:
1. (see above)
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 RHEL Product and Program Management 2014-08-26 21:12:57 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryn M. Reeves 2014-08-27 10:17:06 UTC
Can we just set out the requirements here in terms of data to collect and the components we need coverage for?

I think we have existing plugins to cover some of this and I'd much rather we extended that than creating additional data collection tools.

Comment 6 Xixi 2014-08-29 04:31:03 UTC
Corresponding BZs for RHEL/sos filed at:

Bug 1135290 - RHEL 6 sosreport integration for Satellite 6 Capsule server debugging

Bug 1135317 - RHEL 7 sosreport integration for Satellite 6 Capsule server debugging

Comment 7 Xixi 2014-10-22 21:14:08 UTC
https://access.redhat.com/solutions/1177833 updated with the following list (thanks Eric Helms) of files and dirs to be gathered in addition to core sosreport -

    Installation logs
        /var/log/katello-installer/
    Pulp
        /etc/pulp/
        /var/log/messages
    Qpid
        /etc/qpidd.conf
        /etc/qpid/
        /var/log/messages
    Gofer
        /var/log/gofer/
        /etc/gofer/
    Katello-agent (if installed)
        /usr/lib/yum-plugins/
        /etc/gofer/plugins/
        /var/log/gofer/
    Puppet
        /var/log/puppet/
        /var/log/messages
        /etc/puppet/
    Foreman Proxy
        /var/log/foreman-proxy/
        /etc/foreman-proxy/
    Apache
        /var/log/httpd/
        /etc/httpd/conf.d/
    Mongodb
        /etc/mongodb/
        /var/log/mongodb/
    Certificates
        /etc/pki/katello/
    DNS
    DHCP
    TFTP
    FreeIPA

Xixi

Comment 8 Bryn M. Reeves 2014-10-23 08:28:49 UTC
Most of this is already captured by existing sos plugins. I can add new plugins for the remaining items and I think we can cover all of this natively in sos.

Comment 9 Bryn M. Reeves 2014-10-23 08:32:44 UTC
Could we get some more detail on the log files expected at the various paths under /var?

We limit the size of all collected log files by default now so we'll need to have globs that expand to a single set of files (ideally with a way for us to discriminate current and rotated logs).

Also is there no command output collection required for these components?

Comment 10 Xixi 2014-12-09 04:37:50 UTC
(In reply to Bryn M. Reeves from comment #9)
> Could we get some more detail on the log files expected at the various paths
> under /var?
> 
> We limit the size of all collected log files by default now so we'll need to
> have globs that expand to a single set of files (ideally with a way for us
> to discriminate current and rotated logs).
> 
> Also is there no command output collection required for these components?

Hi Eric, can you help answer Bryn's questions ^^?  Thanks :)

(was trying to take a look but I don't have access to a good Capsule at the moment)
Xixi

Comment 11 Lukas Zapletal 2015-01-15 08:28:09 UTC
To be able to install foreman-debug on Capsule, we need to extract it from the main ("foreman") package first:

https://bugzilla.redhat.com/show_bug.cgi?id=1181452

And then making sure it's installed on Capsule. Also we need to check if all the above files/dirs are included. Taking a look.

Comment 14 Lukas Zapletal 2015-02-03 09:47:52 UTC
*** Bug 1181452 has been marked as a duplicate of this bug. ***

Comment 15 Lukas Zapletal 2015-02-03 12:40:03 UTC
List of related patches for this feature/bug:

https://github.com/theforeman/foreman-packaging/pull/490 ... PENDING
https://github.com/theforeman/smart-proxy/pull/254 ... PENDING
https://github.com/theforeman/foreman/pull/2119 ... PENDING
https://github.com/Katello/katello/pull/4970 ... PENDING
https://github.com/Katello/puppet-capsule/pull/33 ... PENDING

I will update this list until we get to the desired state.

Comment 16 Lukas Zapletal 2015-02-03 15:48:29 UTC
Related PR that needs to be merged afterwards (out of scope for Satellite 6 packaging):

https://github.com/sosreport/sos/pull/489

Comment 17 Bryn M. Reeves 2015-02-03 16:09:01 UTC
Merged: https://github.com/sosreport/sos/commit/5cc0613

Comment 19 Bryan Kearney 2015-02-19 11:04:09 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8710 has been closed
-------------
Dominic Cleal
Partially committed, now blocker.

Comment 20 Lukas Zapletal 2015-02-19 14:04:43 UTC
It's not yet downstream.

Comment 21 Bryan Kearney 2015-02-19 14:12:51 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8710 has been closed
-------------
Dominic Cleal
Partially committed, now blocker.

Comment 22 Lukas Zapletal 2015-02-24 14:48:39 UTC
Status update:

https://github.com/theforeman/foreman-packaging/pull/490 ... MERGED
https://github.com/theforeman/smart-proxy/pull/254 ... MERGED
https://github.com/theforeman/foreman/pull/2119 ... MERGED
https://github.com/Katello/katello/pull/4970 ... MERGED
https://github.com/Katello/puppet-capsule/pull/33 ... MERGED
https://github.com/theforeman/smart-proxy/pull/259 ... MERGED
https://github.com/theforeman/foreman/pull/2178 ... MERGED

All ready. Note that puppet-katello does not have the package installation clause because the -debug subpackage is installed via SPEC dependency.

Comment 30 Lukas Zapletal 2015-03-10 10:18:09 UTC
Here is list of foreman-debug output from Satellite 6 SERVER:

[root@sgi-xe270-01 ~]# find /tmp/test
/tmp/test
/tmp/test/date
/tmp/test/lsb_release
/tmp/test/uname
/tmp/test/cpuinfo
/tmp/test/meminfo
/tmp/test/ulimit
/tmp/test/lsmod
/tmp/test/iptables
/tmp/test/ifconfig
/tmp/test/route
/tmp/test/netstat
/tmp/test/ip_a
/tmp/test/ip_r
/tmp/test/ss
/tmp/test/hosts
/tmp/test/ping_localhost
/tmp/test/ping_hostname
/tmp/test/ping_hostname_full
/tmp/test/software_collections
/tmp/test/process_list
/tmp/test/var
/tmp/test/var/log
/tmp/test/var/log/messages
/tmp/test/var/log/audit
/tmp/test/var/log/audit/audit.log
/tmp/test/var/log/foreman
/tmp/test/var/log/foreman/apipie_cache.log-20150310
/tmp/test/var/log/foreman/apipie_cache.log.journal
/tmp/test/var/log/foreman/cron.log-20150310
/tmp/test/var/log/foreman/cron.log.journal
/tmp/test/var/log/foreman/db_migrate.log-20150310
/tmp/test/var/log/foreman/db_migrate.log.journal
/tmp/test/var/log/foreman/db_seed.log-20150310
/tmp/test/var/log/foreman/db_seed.log.journal
/tmp/test/var/log/foreman/production.log
/tmp/test/var/log/foreman/production.log-20150310
/tmp/test/var/log/foreman/production.log.journal
/tmp/test/var/log/httpd
/tmp/test/var/log/httpd/error_log
/tmp/test/var/log/httpd/error_log.journal
/tmp/test/var/log/foreman-proxy
/tmp/test/var/log/foreman-proxy/abrt-send.log-20150310.gz
/tmp/test/var/log/foreman-proxy/proxy.log-20150310.gz
/tmp/test/var/log/foreman-proxy/proxy.log.journal
/tmp/test/var/log/candlepin
/tmp/test/var/log/candlepin/candlepin.log
/tmp/test/var/log/candlepin/candlepin.log.journal
/tmp/test/var/log/candlepin/cpdb.log
/tmp/test/var/log/candlepin/cpdb.log.journal
/tmp/test/var/log/candlepin/cpinit.log
/tmp/test/var/log/candlepin/cpinit.log.journal
/tmp/test/var/log/candlepin/error.log
/tmp/test/var/log/candlepin/error.log.journal
/tmp/test/var/log/tomcat
/tmp/test/var/log/tomcat/catalina.2015-03-09.log
/tmp/test/var/log/tomcat/catalina.out
/tmp/test/var/log/tomcat/localhost.2015-03-09.log
/tmp/test/var/lib
/tmp/test/var/lib/pgsql
/tmp/test/var/lib/pgsql/data
/tmp/test/var/lib/pgsql/data/pg_hba.conf
/tmp/test/var/lib/pgsql/data/pg_ident.conf
/tmp/test/var/lib/pgsql/data/postgresql.conf
/tmp/test/var/lib/pgsql/data/pg_log
/tmp/test/var/lib/pgsql/data/pg_log/postgresql-Mon.log
/tmp/test/var/lib/pgsql/data/pg_log/postgresql-Mon.log.journal
/tmp/test/var/lib/puppet
/tmp/test/var/lib/puppet/ssl
/tmp/test/var/lib/puppet/ssl/certs
/tmp/test/var/lib/puppet/ssl/certs/sgi-xe270-01.rhts.eng.bos.redhat.com.pem
/tmp/test/var/lib/puppet/ssl/certs/ca.pem
/tmp/test/var/lib/puppet/ssl/ca
/tmp/test/var/lib/puppet/ssl/ca/inventory.txt
/tmp/test/var/lib/mongodb
/tmp/test/var/lib/mongodb/mongodb.log
/tmp/test/var/lib/mongodb/mongodb.log.journal
/tmp/test/var/named
/tmp/test/var/named/named.ca
/tmp/test/var/named/named.empty
/tmp/test/var/named/named.localhost
/tmp/test/var/named/named.loopback
/tmp/test/var/named/dynamic
/tmp/test/var/named/dynamic/db.100.168.192.in-addr.arpa
/tmp/test/var/named/dynamic/db.katellolabs.org
/tmp/test/selinux_first_denials.log
/tmp/test/selinux_denials.log
/tmp/test/selinux_audit2allow
/tmp/test/selinux_modules
/tmp/test/selinux_booleans
/tmp/test/selinux_fcontext
/tmp/test/installed_packages
/tmp/test/foreman_packages
/tmp/test/version_ruby
/tmp/test/version_puppet
/tmp/test/gem_list
/tmp/test/gem_list_scl
/tmp/test/bundle_list
/tmp/test/facts
/tmp/test/etc
/tmp/test/etc/foreman
/tmp/test/etc/foreman/client_cert.pem
/tmp/test/etc/foreman/client_key.pem
/tmp/test/etc/foreman/database.yml
/tmp/test/etc/foreman/email.yaml
/tmp/test/etc/foreman/encryption_key.rb
/tmp/test/etc/foreman/proxy_ca.pem
/tmp/test/etc/foreman/settings.yaml
/tmp/test/etc/foreman/plugins
/tmp/test/etc/foreman/plugins/katello.yaml
/tmp/test/etc/libvirt
/tmp/test/etc/libvirt/libvirt.conf
/tmp/test/etc/libvirt/libvirtd.conf
/tmp/test/etc/libvirt/lxc.conf
/tmp/test/etc/libvirt/qemu-lockd.conf
/tmp/test/etc/libvirt/qemu.conf
/tmp/test/etc/libvirt/virtlockd.conf
/tmp/test/etc/httpd
/tmp/test/etc/httpd/conf
/tmp/test/etc/httpd/conf/httpd.conf
/tmp/test/etc/httpd/conf/magic
/tmp/test/etc/httpd/conf/ports.conf
/tmp/test/etc/httpd/conf.d
/tmp/test/etc/httpd/conf.d/03-crane.conf
/tmp/test/etc/httpd/conf.d/05-foreman-ssl.conf
/tmp/test/etc/httpd/conf.d/05-foreman.conf
/tmp/test/etc/httpd/conf.d/15-default.conf
/tmp/test/etc/httpd/conf.d/25-puppet.conf
/tmp/test/etc/httpd/conf.d/access_compat.load
/tmp/test/etc/httpd/conf.d/actions.load
/tmp/test/etc/httpd/conf.d/alias.conf
/tmp/test/etc/httpd/conf.d/alias.load
/tmp/test/etc/httpd/conf.d/auth_basic.load
/tmp/test/etc/httpd/conf.d/auth_digest.load
/tmp/test/etc/httpd/conf.d/authn_anon.load
/tmp/test/etc/httpd/conf.d/authn_core.load
/tmp/test/etc/httpd/conf.d/authn_dbm.load
/tmp/test/etc/httpd/conf.d/authn_file.load
/tmp/test/etc/httpd/conf.d/authz_core.load
/tmp/test/etc/httpd/conf.d/authz_dbm.load
/tmp/test/etc/httpd/conf.d/authz_groupfile.load
/tmp/test/etc/httpd/conf.d/authz_host.load
/tmp/test/etc/httpd/conf.d/authz_owner.load
/tmp/test/etc/httpd/conf.d/authz_user.load
/tmp/test/etc/httpd/conf.d/autoindex.conf
/tmp/test/etc/httpd/conf.d/autoindex.load
/tmp/test/etc/httpd/conf.d/cache.load
/tmp/test/etc/httpd/conf.d/cgi.load
/tmp/test/etc/httpd/conf.d/dav.load
/tmp/test/etc/httpd/conf.d/dav_fs.conf
/tmp/test/etc/httpd/conf.d/dav_fs.load
/tmp/test/etc/httpd/conf.d/deflate.conf
/tmp/test/etc/httpd/conf.d/deflate.load
/tmp/test/etc/httpd/conf.d/dir.conf
/tmp/test/etc/httpd/conf.d/dir.load
/tmp/test/etc/httpd/conf.d/env.load
/tmp/test/etc/httpd/conf.d/expires.load
/tmp/test/etc/httpd/conf.d/ext_filter.load
/tmp/test/etc/httpd/conf.d/filter.load
/tmp/test/etc/httpd/conf.d/headers.load
/tmp/test/etc/httpd/conf.d/include.load
/tmp/test/etc/httpd/conf.d/log_config.load
/tmp/test/etc/httpd/conf.d/logio.load
/tmp/test/etc/httpd/conf.d/mime.conf
/tmp/test/etc/httpd/conf.d/mime.load
/tmp/test/etc/httpd/conf.d/mime_magic.conf
/tmp/test/etc/httpd/conf.d/mime_magic.load
/tmp/test/etc/httpd/conf.d/negotiation.conf
/tmp/test/etc/httpd/conf.d/negotiation.load
/tmp/test/etc/httpd/conf.d/passenger.conf
/tmp/test/etc/httpd/conf.d/passenger.load
/tmp/test/etc/httpd/conf.d/passenger_extra.conf
/tmp/test/etc/httpd/conf.d/prefork.conf
/tmp/test/etc/httpd/conf.d/prefork.load
/tmp/test/etc/httpd/conf.d/proxy.conf
/tmp/test/etc/httpd/conf.d/proxy.load
/tmp/test/etc/httpd/conf.d/proxy_http.load
/tmp/test/etc/httpd/conf.d/pulp.conf
/tmp/test/etc/httpd/conf.d/pulp_docker.conf
/tmp/test/etc/httpd/conf.d/pulp_nodes.conf
/tmp/test/etc/httpd/conf.d/pulp_puppet.conf
/tmp/test/etc/httpd/conf.d/pulp_rpm.conf
/tmp/test/etc/httpd/conf.d/rewrite.load
/tmp/test/etc/httpd/conf.d/setenvif.conf
/tmp/test/etc/httpd/conf.d/setenvif.load
/tmp/test/etc/httpd/conf.d/socache_shmcb.load
/tmp/test/etc/httpd/conf.d/speling.load
/tmp/test/etc/httpd/conf.d/ssl.conf
/tmp/test/etc/httpd/conf.d/ssl.load
/tmp/test/etc/httpd/conf.d/substitute.load
/tmp/test/etc/httpd/conf.d/suexec.load
/tmp/test/etc/httpd/conf.d/systemd.load
/tmp/test/etc/httpd/conf.d/unixd.load
/tmp/test/etc/httpd/conf.d/usertrack.load
/tmp/test/etc/httpd/conf.d/version.load
/tmp/test/etc/httpd/conf.d/vhost_alias.load
/tmp/test/etc/httpd/conf.d/wsgi.conf
/tmp/test/etc/httpd/conf.d/wsgi.load
/tmp/test/etc/sysconfig
/tmp/test/etc/sysconfig/foreman
/tmp/test/etc/sysconfig/libvirt-guests
/tmp/test/etc/sysconfig/libvirtd
/tmp/test/etc/sysconfig/named
/tmp/test/etc/sysconfig/dhcpd
/tmp/test/etc/sysconfig/dhcpd.rpmnew
/tmp/test/etc/foreman-proxy
/tmp/test/etc/foreman-proxy/foreman_ssl_ca.pem
/tmp/test/etc/foreman-proxy/foreman_ssl_cert.pem
/tmp/test/etc/foreman-proxy/foreman_ssl_key.pem
/tmp/test/etc/foreman-proxy/settings.yml
/tmp/test/etc/foreman-proxy/ssl_ca.pem
/tmp/test/etc/foreman-proxy/ssl_cert.pem
/tmp/test/etc/foreman-proxy/ssl_key.pem
/tmp/test/etc/foreman-proxy/settings.d
/tmp/test/etc/foreman-proxy/settings.d/abrt.yml
/tmp/test/etc/foreman-proxy/settings.d/bmc.yml
/tmp/test/etc/foreman-proxy/settings.d/dhcp.yml
/tmp/test/etc/foreman-proxy/settings.d/dns.yml
/tmp/test/etc/foreman-proxy/settings.d/facts.yml
/tmp/test/etc/foreman-proxy/settings.d/pulp.yml
/tmp/test/etc/foreman-proxy/settings.d/pulpnode.yml
/tmp/test/etc/foreman-proxy/settings.d/puppet.yml
/tmp/test/etc/foreman-proxy/settings.d/puppetca.yml
/tmp/test/etc/foreman-proxy/settings.d/realm.yml
/tmp/test/etc/foreman-proxy/settings.d/templates.yml
/tmp/test/etc/foreman-proxy/settings.d/tftp.yml
/tmp/test/etc/dhcp
/tmp/test/etc/dhcp/dhcpd.conf
/tmp/test/etc/dhcp/dhcpd6.conf
/tmp/test/etc/xinetd.d
/tmp/test/etc/xinetd.d/tftp
/tmp/test/etc/named.conf
/tmp/test/etc/puppet
/tmp/test/etc/puppet/auth.conf
/tmp/test/etc/puppet/fileserver.conf
/tmp/test/etc/puppet/puppet.conf
/tmp/test/etc/puppet/rack
/tmp/test/etc/puppet/rack/config.ru
/tmp/test/etc/candlepin
/tmp/test/etc/candlepin/candlepin.conf
/tmp/test/etc/tomcat
/tmp/test/etc/tomcat/server.xml
/tmp/test/etc/elasticsearch
/tmp/test/etc/elasticsearch/elasticsearch.yml
/tmp/test/etc/elasticsearch/logging.yml
/tmp/test/etc/pulp
/tmp/test/etc/pulp/nodes.conf
/tmp/test/etc/pulp/repo_auth.conf
/tmp/test/etc/pulp/server.conf
/tmp/test/etc/pulp/server
/tmp/test/etc/pulp/server/plugins.conf.d
/tmp/test/etc/pulp/server/plugins.conf.d/nodes
/tmp/test/etc/pulp/server/plugins.conf.d/nodes/distributor
/tmp/test/etc/pulp/server/plugins.conf.d/nodes/distributor/http.conf
/tmp/test/etc/qpid
/tmp/test/etc/qpid/qpidc.conf
/tmp/test/etc/qpid/qpidd.conf
/tmp/test/usr
/tmp/test/usr/share
/tmp/test/usr/share/foreman
/tmp/test/usr/share/foreman/Gemfile.in
/tmp/test/virsh_list
/tmp/test/foreman_settings_table
/tmp/test/foreman_auth_table
/tmp/test/foreman_filecontexts
/tmp/test/plugin_list
/tmp/test/tftpboot_tree
/tmp/test/puppet_manifests_tree
/tmp/test/katello_ssl_build_dir
/tmp/test/katello_pki_dir

Comment 31 Lukas Zapletal 2015-03-10 10:24:34 UTC
Okay I found two bugs on Capsule, will fix:

A) foreman-debug and katello-debug packages were NOT installed by default on my capsule, this is a bug!

B) wrong symlink so katello-debug does not work correctly

Comment 32 Lukas Zapletal 2015-03-10 16:22:57 UTC
Ok I found the issue and here is the result. This is what script now collects:

[root@ibm-x3650m4-02-vm-06 ~]# foreman-debug -v -a -d /tmp/test
Determined redhat distribution
Directory /tmp/test created
Collecting generic system information
- date
- lsb_release
- uname
- cpuinfo
- meminfo
- ulimit
- lsmod
- iptables
- ifconfig
- route
- netstat
- ip_a
- ip_r
- ss
- hosts
- ping_localhost
- ping_hostname
- ping_hostname_full
- software_collections
- process_list
- /var/log/messages
- /var/log/audit/audit.log
- selinux_first_denials.log
- selinux_denials.log
- selinux_audit2allow
- selinux_modules
- selinux_booleans
- selinux_fcontext
- installed_packages
Collecting Foreman-related information
- foreman_packages
- version_ruby
- version_puppet
- gem_list
- gem_list_scl
- bundle_list
- facts
- virsh_list
- /etc/libvirt/libvirt.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
- foreman_settings_table
- foreman_auth_table
- foreman_filecontexts
- /etc/sysconfig/libvirt-guests
- plugin_list
Processing extension /usr/share/foreman/script/foreman-debug.d/75-foreman-proxy
- /etc/foreman-proxy/foreman_ssl_ca.pem
- /etc/foreman-proxy/foreman_ssl_cert.pem
- /etc/foreman-proxy/foreman_ssl_key.pem
- /etc/foreman-proxy/settings.yml
- /etc/foreman-proxy/ssl_ca.pem
- /etc/foreman-proxy/ssl_cert.pem
- /etc/foreman-proxy/ssl_key.pem
- /etc/foreman-proxy/settings.d/bmc.yml
- /etc/foreman-proxy/settings.d/dhcp.yml
- /etc/foreman-proxy/settings.d/dns.yml
- /etc/foreman-proxy/settings.d/facts.yml
- /etc/foreman-proxy/settings.d/pulp.yml
- /etc/foreman-proxy/settings.d/pulpnode.yml
- /etc/foreman-proxy/settings.d/puppet.yml
- /etc/foreman-proxy/settings.d/puppetca.yml
- /etc/foreman-proxy/settings.d/realm.yml
- /etc/foreman-proxy/settings.d/templates.yml
- /etc/foreman-proxy/settings.d/tftp.yml
- /var/log/foreman-proxy/proxy.log-20150305.gz
- /var/log/foreman-proxy/proxy.log-20150307.gz
- /var/log/foreman-proxy/proxy.log-20150310.gz
- /etc/sysconfig/foreman-proxy
- /etc/dhcp/dhclient-eth0.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/puppet/auth.conf
- /etc/puppet/fileserver.conf
- /etc/puppet/puppet.conf
- /etc/puppet/rack/config.ru
- /var/lib/puppet/ssl/ca/inventory.txt
- puppet_manifests_tree
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
Processing extension /usr/share/foreman/script/foreman-debug.d/katello-debug.sh
- /var/log/capsule-installer/capsule-installer.1.log
- /var/log/capsule-installer/capsule-installer.log
- /etc/capsule-installer/answers.capsule-installer.yaml
- /etc/capsule-installer/capsule-installer.yaml
- /etc/capsule-installer/config_header.txt
- katello_ssl_build_dir
- katello_pki_dir
- /etc/pulp/nodes.conf
- /etc/pulp/repo_auth.conf
- /etc/pulp/server.conf
- /etc/httpd/conf.d/pulp.conf
- /etc/pulp/server/plugins.conf.d/nodes/distributor/http.conf
- /var/log/mongodb/mongodb.log-20150308
- /var/lib/mongodb/mongodb.log
- /var/lib/mongodb/mongodb.log.2015-03-08T07-30-01
- /etc/qpid/qpidc.conf
- /etc/qpid/qpidd.conf


 HOSTNAME: ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 6.6 (Santiago)
  FOREMAN: 
     RUBY: ruby 1.8.7 (2013-06-27 patchlevel 374) [x86_64-linux]
   PUPPET: 3.6.2
  DENIALS: 5


A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:

  rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

Do you want to do this now? [y/N] 

And this is how sosreport calls it (with -g = do not collect generic data):

[root@ibm-x3650m4-02-vm-06 ~]# foreman-debug -g -v -a -d /tmp/test
Determined redhat distribution
Directory /tmp/test created
Collecting Foreman-related information
- foreman_packages
- version_ruby
- version_puppet
- gem_list
- gem_list_scl
- bundle_list
- facts
- virsh_list
- /etc/libvirt/libvirt.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
- foreman_settings_table
- foreman_auth_table
- foreman_filecontexts
- /etc/sysconfig/libvirt-guests
- plugin_list
Processing extension /usr/share/foreman/script/foreman-debug.d/75-foreman-proxy
- /etc/foreman-proxy/foreman_ssl_ca.pem
- /etc/foreman-proxy/foreman_ssl_cert.pem
- /etc/foreman-proxy/foreman_ssl_key.pem
- /etc/foreman-proxy/settings.yml
- /etc/foreman-proxy/ssl_ca.pem
- /etc/foreman-proxy/ssl_cert.pem
- /etc/foreman-proxy/ssl_key.pem
- /etc/foreman-proxy/settings.d/bmc.yml
- /etc/foreman-proxy/settings.d/dhcp.yml
- /etc/foreman-proxy/settings.d/dns.yml
- /etc/foreman-proxy/settings.d/facts.yml
- /etc/foreman-proxy/settings.d/pulp.yml
- /etc/foreman-proxy/settings.d/pulpnode.yml
- /etc/foreman-proxy/settings.d/puppet.yml
- /etc/foreman-proxy/settings.d/puppetca.yml
- /etc/foreman-proxy/settings.d/realm.yml
- /etc/foreman-proxy/settings.d/templates.yml
- /etc/foreman-proxy/settings.d/tftp.yml
- /var/log/foreman-proxy/proxy.log-20150305.gz
- /var/log/foreman-proxy/proxy.log-20150307.gz
- /var/log/foreman-proxy/proxy.log-20150310.gz
- /etc/sysconfig/foreman-proxy
- /etc/dhcp/dhclient-eth0.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/puppet/auth.conf
- /etc/puppet/fileserver.conf
- /etc/puppet/puppet.conf
- /etc/puppet/rack/config.ru
- /var/lib/puppet/ssl/ca/inventory.txt
- puppet_manifests_tree
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
Processing extension /usr/share/foreman/script/foreman-debug.d/katello-debug.sh
- /var/log/capsule-installer/capsule-installer.1.log
- /var/log/capsule-installer/capsule-installer.log
- /etc/capsule-installer/answers.capsule-installer.yaml
- /etc/capsule-installer/capsule-installer.yaml
- /etc/capsule-installer/config_header.txt
- katello_ssl_build_dir
- katello_pki_dir
- /etc/pulp/nodes.conf
- /etc/pulp/repo_auth.conf
- /etc/pulp/server.conf
- /etc/httpd/conf.d/pulp.conf
- /etc/pulp/server/plugins.conf.d/nodes/distributor/http.conf


 HOSTNAME: ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 6.6 (Santiago)
  FOREMAN: 
     RUBY: ruby 1.8.7 (2013-06-27 patchlevel 374) [x86_64-linux]
   PUPPET: 3.6.2
  DENIALS: 5


A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:

  rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

Do you want to do this now? [y/N] 

I believe this list contains everything that is expected.

Comment 34 Lukas Zapletal 2015-03-10 17:08:53 UTC
Scratch output from comment 32, the pull request fixed those missing files. Here is the output with the patch from comment 33 applied:

[root@ibm-x3650m4-02-vm-06 ~]# foreman-debug -g -v -a -d /tmp/test
Determined redhat distribution
Directory /tmp/test created
Collecting Foreman-related information
- foreman_packages
- version_ruby
- version_puppet
- gem_list
- gem_list_scl
- bundle_list
- facts
- virsh_list
- /etc/libvirt/libvirt.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
- foreman_settings_table
- foreman_auth_table
- foreman_filecontexts
- /etc/sysconfig/libvirt-guests
- plugin_list
Processing extension /usr/share/foreman/script/foreman-debug.d/75-foreman-proxy
- /etc/foreman-proxy/foreman_ssl_ca.pem
- /etc/foreman-proxy/foreman_ssl_cert.pem
- /etc/foreman-proxy/foreman_ssl_key.pem
- /etc/foreman-proxy/settings.yml
- /etc/foreman-proxy/ssl_ca.pem
- /etc/foreman-proxy/ssl_cert.pem
- /etc/foreman-proxy/ssl_key.pem
- /etc/foreman-proxy/settings.d/bmc.yml
- /etc/foreman-proxy/settings.d/dhcp.yml
- /etc/foreman-proxy/settings.d/dns.yml
- /etc/foreman-proxy/settings.d/facts.yml
- /etc/foreman-proxy/settings.d/pulp.yml
- /etc/foreman-proxy/settings.d/pulpnode.yml
- /etc/foreman-proxy/settings.d/puppet.yml
- /etc/foreman-proxy/settings.d/puppetca.yml
- /etc/foreman-proxy/settings.d/realm.yml
- /etc/foreman-proxy/settings.d/templates.yml
- /etc/foreman-proxy/settings.d/tftp.yml
- /var/log/foreman-proxy/proxy.log-20150305.gz
- /var/log/foreman-proxy/proxy.log-20150307.gz
- /var/log/foreman-proxy/proxy.log-20150310.gz
- /etc/sysconfig/foreman-proxy
- /etc/dhcp/dhclient-eth0.conf
- /var/lib/puppet/ssl/certs/ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com.pem
- /var/lib/puppet/ssl/certs/ca.pem
- /etc/puppet/auth.conf
- /etc/puppet/fileserver.conf
- /etc/puppet/puppet.conf
- /etc/puppet/rack/config.ru
- /var/lib/puppet/ssl/ca/inventory.txt
- puppet_manifests_tree
- /etc/httpd/conf/httpd.conf
- /etc/httpd/conf/magic
- /etc/httpd/conf/ports.conf
- /etc/httpd/conf.d/05-capsule.conf
- /etc/httpd/conf.d/15-default.conf
- /etc/httpd/conf.d/25-pulp-node-ssl.conf
- /etc/httpd/conf.d/25-puppet.conf
- /etc/httpd/conf.d/28-katello-reverse-proxy.conf
- /etc/httpd/conf.d/actions.load
- /etc/httpd/conf.d/alias.conf
- /etc/httpd/conf.d/alias.load
- /etc/httpd/conf.d/auth_basic.load
- /etc/httpd/conf.d/auth_digest.load
- /etc/httpd/conf.d/authn_alias.load
- /etc/httpd/conf.d/authn_anon.load
- /etc/httpd/conf.d/authn_dbm.load
- /etc/httpd/conf.d/authn_default.load
- /etc/httpd/conf.d/authn_file.load
- /etc/httpd/conf.d/authz_dbm.load
- /etc/httpd/conf.d/authz_default.load
- /etc/httpd/conf.d/authz_groupfile.load
- /etc/httpd/conf.d/authz_host.load
- /etc/httpd/conf.d/authz_owner.load
- /etc/httpd/conf.d/authz_user.load
- /etc/httpd/conf.d/autoindex.conf
- /etc/httpd/conf.d/autoindex.load
- /etc/httpd/conf.d/cache.load
- /etc/httpd/conf.d/cgi.load
- /etc/httpd/conf.d/dav.load
- /etc/httpd/conf.d/dav_fs.conf
- /etc/httpd/conf.d/dav_fs.load
- /etc/httpd/conf.d/deflate.conf
- /etc/httpd/conf.d/deflate.load
- /etc/httpd/conf.d/dir.conf
- /etc/httpd/conf.d/dir.load
- /etc/httpd/conf.d/env.load
- /etc/httpd/conf.d/expires.load
- /etc/httpd/conf.d/ext_filter.load
- /etc/httpd/conf.d/headers.load
- /etc/httpd/conf.d/include.load
- /etc/httpd/conf.d/log_config.load
- /etc/httpd/conf.d/logio.load
- /etc/httpd/conf.d/mime.conf
- /etc/httpd/conf.d/mime.load
- /etc/httpd/conf.d/mime_magic.conf
- /etc/httpd/conf.d/mime_magic.load
- /etc/httpd/conf.d/negotiation.conf
- /etc/httpd/conf.d/negotiation.load
- /etc/httpd/conf.d/passenger.conf
- /etc/httpd/conf.d/passenger.load
- /etc/httpd/conf.d/passenger_extra.conf
- /etc/httpd/conf.d/prefork.conf
- /etc/httpd/conf.d/proxy.conf
- /etc/httpd/conf.d/proxy.load
- /etc/httpd/conf.d/proxy_http.load
- /etc/httpd/conf.d/pulp.conf
- /etc/httpd/conf.d/pulp_docker.conf
- /etc/httpd/conf.d/pulp_nodes.conf
- /etc/httpd/conf.d/pulp_puppet.conf
- /etc/httpd/conf.d/pulp_rpm.conf
- /etc/httpd/conf.d/rewrite.load
- /etc/httpd/conf.d/setenvif.conf
- /etc/httpd/conf.d/setenvif.load
- /etc/httpd/conf.d/speling.load
- /etc/httpd/conf.d/ssl.conf
- /etc/httpd/conf.d/ssl.load
- /etc/httpd/conf.d/substitute.load
- /etc/httpd/conf.d/suexec.load
- /etc/httpd/conf.d/usertrack.load
- /etc/httpd/conf.d/version.load
- /etc/httpd/conf.d/vhost_alias.load
- /etc/httpd/conf.d/wsgi.conf
- /etc/httpd/conf.d/wsgi.load
- /var/log/httpd/error_log
- /var/log/httpd/error_log-20150308
Processing extension /usr/share/foreman/script/foreman-debug.d/katello-debug.sh
- /var/log/capsule-installer/capsule-installer.1.log
- /var/log/capsule-installer/capsule-installer.log
- /etc/capsule-installer/answers.capsule-installer.yaml
- /etc/capsule-installer/capsule-installer.yaml
- /etc/capsule-installer/config_header.txt
- katello_ssl_build_dir
- katello_pki_dir
- /etc/pulp/nodes.conf
- /etc/pulp/repo_auth.conf
- /etc/pulp/server.conf
- /etc/httpd/conf.d/pulp.conf
- /etc/pulp/server/plugins.conf.d/nodes/distributor/http.conf


 HOSTNAME: ibm-x3650m4-02-vm-06.lab.eng.bos.redhat.com
       OS: redhat
  RELEASE: Red Hat Enterprise Linux Server release 6.6 (Santiago)
  FOREMAN: 
     RUBY: ruby 1.8.7 (2013-06-27 patchlevel 374) [x86_64-linux]
   PUPPET: 3.6.2
  DENIALS: 5


A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:

  rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

Do you want to do this now? [y/N]

Comment 35 Lukas Zapletal 2015-03-10 17:12:32 UTC
Sidenote - list of conf files/dirs from comment 7 is full list that includes components from both Server and Capsule. If you run the debug tool on either Server or Capsule, you will never get them all. To verify this, collect from both and then pair files from both. The list is a bit outdated tho.

Comment 37 Lukas Zapletal 2015-03-17 15:28:03 UTC
Sorry for the delay, the patch was merged.

Comment 42 Corey Welton 2015-05-28 18:25:23 UTC
Three issues with this, as far as satellite is concerned.

1) Branding - it is pointing to theforeman.org as where the .tgz file is automatically uploaded.

2) The tgz file is not getting created on the capsule.

A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a
write only directory (readable only by Foreman core developers) for that. Note
the rsync transmission is UNENCRYPTED:

  rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

Do you want to do this now? [y/N] y
Uploading...
rsync: link_stat "/tmp/test.tar.xz" failed: No such file or directory (2)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1052) [sender=3.0.9]
The tarball has been uploaded, please contact us on mailing list or IRC.

[root@rhsm-qe-3 tmp]# ls -alF /tmp/test.tar.xz
ls: cannot access /tmp/test.tar.xz: No such file or directory

3) A notification that "The tarball has been uploaded", when it quite evidently hasn't been.

Comment 43 Corey Welton 2015-05-28 18:43:15 UTC
Actually, going to move this back to ONQA with deps on offending, aforementioned issues above, written up as bz.

Comment 44 Corey Welton 2015-06-15 15:29:00 UTC
Removing 1226012 as a dep

Comment 45 Corey Welton 2015-06-15 15:29:52 UTC
Verified in Snap 8 compose 2

Comment 46 Bryan Kearney 2015-08-11 13:33:18 UTC
This bug is slated to be released with Satellite 6.1.

Comment 47 errata-xmlrpc 2015-08-12 05:13:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.